Bug 65737 - Disk 1 of install set fails to boot with promise UDMA100 controller
Summary: Disk 1 of install set fails to boot with promise UDMA100 controller
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-30 23:14 UTC by Andrew Meredith
Modified: 2015-01-04 22:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-27 14:07:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Meredith 2002-05-30 23:14:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020516

Description of problem:
The sequence gets as far as trying to enumerate the partitions on hde and stops.
reset button needed. This problem prevents use of RH 7.3 anaconda
install/upgrade/rescue systems on this hardware.  Upgrade to 7.3 done via direct
rpm commands.

# lspci | fgrep -i promise
00:11.0 Unknown mass storage controller: Promise Technology, Inc. 20265 (rev 02)

# pcitweak -l 2>&1 | fgrep 00:11:0
PCI: 00:11:0: chip 105a,0d30 card 105a,4d33 rev 02 class 01,80,00 hdr 00

]# more /proc/ide/hd*/model 
::::::::::::::
/proc/ide/hda/model
::::::::::::::
ST340823A
::::::::::::::
/proc/ide/hdc/model
::::::::::::::
TOSHIBA DVD-ROM SD-M1612
::::::::::::::
/proc/ide/hdd/model
::::::::::::::
TDK CDRW161040X
::::::::::::::
/proc/ide/hde/model
::::::::::::::
Maxtor 4G120J6
::::::::::::::
/proc/ide/hdg/model
::::::::::::::
Maxtor 4G120J6


Have included all IDE devices, just in case.

No SCSI h/w on machine.

Promise controller not RAID capable.


NB Plain vanilla 2.4.18 kernel does not display this problem on same hardware.
Am using above hardware with home brew 2.4.18+P-o-M to enter this report.

Hope this is enough, if you need more just give us a yell.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Boot from CD or FD image from CD.
	

Actual Results:  See above

Expected Results:  See above

Additional info:

Comment 1 Arjan van de Ven 2002-06-03 18:52:55 UTC
Any idea if typing
linux ide=nodma 
on the syslinux prompt works around the hang  ?

Comment 2 Patrick C. F. Ernzer 2002-06-06 22:11:27 UTC
It works here with the following

# lspci|grep -i promise
00:06.0 Unknown mass storage controller: Promise Technology, Inc. 20265 (rev 02)

# pcitweak -l 2>&1|grep 00:06.0 
PCI: 00:06:0: chip 105a,0d30 card 1043,8042 rev 02 class 01,80,00 hdr 00

[root@morn root]# more /proc/ide/hd*/model
::::::::::::::
/proc/ide/hdc/model
::::::::::::::
TOSHIBA DVD-ROM SD-M1612
::::::::::::::
/proc/ide/hde/model
::::::::::::::
IC35L040AVER07-0
::::::::::::::
/proc/ide/hdg/model
::::::::::::::
IC35L040AVER07-0

Promise controller here is also not in RAID mode (via jumper). FWIW, it's the
on-board Promise of an Asus A7V266-E.

Bootet fine with SysAdmin Survival CD, CD1 and Professional DVD

Comment 3 Patrick C. F. Ernzer 2002-06-06 22:14:47 UTC
forgot to mention;
'it booted fine' means using the ide=nodma kernel option was not necessary

Comment 4 Andrew Meredith 2002-06-07 11:57:43 UTC
Have just checked using disk 1 with:

 linux ide=nodma rescue

.. and it gets past the hde partition check and appears to work from there on. I
have not done anything with hde or hdg that involves a write operation though.

The motherboard is an Asus A7V .. I think ... do you need me to get the case
open and find out exactly what it is, or will the pcitweak output be enough?


Comment 5 Andrew Meredith 2002-06-13 22:46:07 UTC
Does this help ?

courtesy of dmidecode:

    BIOS Information Block
                Vendor: Award Software, Inc.
                Version: ASUS A7V ACPI BIOS Revision 1010A
                Release: 03/19/2002
                BIOS base: 0xF0000
                ROM size: 192K
                Capabilities:
                        Flags: 0x000000007FCBDE80


Comment 6 Patrick C. F. Ernzer 2002-06-14 00:39:25 UTC
Ok, we are talking about two different motherboards, I've put off the
OpeningOfTheMachine(TM) fo far, so no board revision yet.

No idea why the Promise controller shows as diabled, it's definitely enabled
(root fs is on a HD on that controller)

Handle 0x0000
        DMI type 0, 20 bytes.
        BIOS Information Block
                Vendor: Award Software, Inc.
                Version: ASUS A7V266-E ACPI BIOS Rev 1007
                Release: 03/12/2002
                BIOS base: 0xF0000
                ROM size: 192K
                Capabilities:
                        Flags: 0x000000007FCBDE80
[...]
Handle 0x0024
        DMI type 10, 6 bytes.
        On Board Devices Information
                Description: Promise PDC20265 : Disabled
                Type:

Comment 7 Andrew Meredith 2002-06-14 01:37:06 UTC
Mine too ...

Handle 0x0022
	DMI type 10, 6 bytes.
	On Board Devices Information
		Description: Promise PDC20265 : Disabled




Comment 8 Need Real Name 2003-10-27 22:09:18 UTC
More or less the same problem here with rh9:

02:0a.0 RAID bus controller: Promise Technology, Inc. PDC20276 IDE (rev 01)

fdisk -l hangs the console, not the box :(


Note You need to log in before you can comment on or make changes to this bug.